scala.tools.nsc.interpreter.StructuredTypeStrings

# MonoFunction

#### class MonoFunction extends TypeProduct

Linear Supertypes
TypeProduct, Serializable, java.io.Serializable, Product, Equals, TypeNode, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MonoFunction
2. TypeProduct
3. Serializable
4. Serializable
5. Product
6. Equals
7. TypeNode
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MonoFunction(in: TypeNode, out: TypeNode)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MonoFunction to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (MonoFunction, B)

   Implicit information
     This member is added by an implicit conversion from MonoFunction to ArrowAssoc[MonoFunction] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def emptyTypeName: String

    Definition Classes
      TypeProduct

11. #### def ensuring(cond: (MonoFunction) ⇒ Boolean, msg: ⇒ Any): MonoFunction

    Implicit information
      This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (MonoFunction) ⇒ Boolean): MonoFunction

    Implicit information
      This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): MonoFunction

    Implicit information
      This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): MonoFunction

    Implicit information
      This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from MonoFunction to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def grouping: Grouping

    Definition Classes
      TypeProduct → TypeNode

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def label: String

    Definition Classes
      TypeNode

22. #### def mkPrefix(showLabel: Boolean): String

    Attributes
      protected
    Definition Classes
      TypeNode

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### val nodes: List[TypeNode]

    Definition Classes
      TypeProduct → TypeNode

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def show(): String

    Definition Classes
      TypeNode

28. #### def show(indent: Int): String

    Definition Classes
      TypeNode

29. #### def show(indent: Int, showLabel: Boolean): String

    Definition Classes
      TypeNode

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      TypeNode → AnyRef → Any

32. #### def typeName: String

    Definition Classes
      MonoFunction → TypeProduct → TypeNode

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def withLabel(l: String): MonoFunction.this.type

    Definition Classes
      TypeNode

37. #### def withType(t: String): MonoFunction.this.type

    Definition Classes
      TypeNode

38. #### def →[B](y: B): (MonoFunction, B)

    Implicit information
      This member is added by an implicit conversion from MonoFunction to ArrowAssoc[MonoFunction] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from MonoFunction to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (monoFunction: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from MonoFunction to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (monoFunction: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: MonoFunction

   Implicit information
     This member is added by an implicit conversion from MonoFunction to ArrowAssoc[MonoFunction] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (monoFunction: ArrowAssoc[MonoFunction]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: MonoFunction

   Implicit information
     This member is added by an implicit conversion from MonoFunction to Ensuring[MonoFunction] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (monoFunction: Ensuring[MonoFunction]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from TypeProduct

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TypeNode

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MonoFunction to StringAdd

### Inherited by implicit conversion any2stringfmt from MonoFunction to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from MonoFunction to ArrowAssoc[MonoFunction]

### Inherited by implicit conversion any2Ensuring from MonoFunction to Ensuring[MonoFunction]

### Ungrouped